gnutls_openpgp_crt_check_hostname2(3)

NAME
gnutls_openpgp_crt_check_hostname2 - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_check_hostname2(gnutls_openpgp_crt_t key, const char * hostname, unsigned flags);

ARGUMENTS

gnutls_openpgp_crt_t key
    should contain a gnutls_openpgp_crt_t structure

const char * hostname
    A null terminated string that contains a DNS name

unsigned flags
    gnutls_certificate_verify_flags

DESCRIPTION
This function will check if the given key's owner matches the given hostname. Unless, the flag GNUTLS_VERIFY_DO_NOT_ALLOW_WILDCARDS is specified, wildcards are only considered if the domain name consists of three components or more, and the wildcard starts at the leftmost position.

RETURNS
non-zero for a successful match, and zero on failure.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/